FROM node:12 AS builder
WORKDIR /app
ADD package.json /app/
RUN npm config set registry https://registry.npmmirror.com && npm install 
ADD . /app
RUN npm run build:prod

FROM busybox
LABEL maintainer thomas.hairong@gmail.com
COPY --from=builder /app/dist /html